On 07/18/2015 12:15 PM, Gilles Filippini wrote:
> Hi,
> Matthias Klose a écrit le 03/07/2015 15:10 :
>> Package: src:hdf5
>> Version: 1.8.13+docs-15
>> Severity: important
>> Tags: sid stretch
>> User: debian-...@lists.debian.org
>> Usertags: libstdc++-cxx11
>>  - If a library transition is needed, please prepare for the change.
>>    Rename the library package, append "v5" to the name of the package
>>    (e.g. libfoo2 -> libfoo2v5). Such a change can be avoided, if you
>>    have a soversion bump and you upload this version instead of the
>>    renamed package.  Prepare a patch and attach it to this issue (mark
>>    this issue with patch), so that it is possible to NMU such a
>>    package. We'll probably have more than hundred transitions
>>    triggered. Then reassign the issue to release.debian.org and
>>    properly tag it as a transition issue, by sending an email to
>>    cont...@bugs.debian.org:
> hdf5 in experimental have a soversion bump. From there I'm unsure about
> what to do right now. I've already built the library against g++-5 and
> updated the symbols files accordingly, but I haven't uploaded it yet. If
> I upload it to experimental, will it be built against g++-5 as default
> compiler?

no, you need explicit b-d's on g++ (>= 4:5-0), g++-5 (>= 5.2.1-10). You can drop
these again once g++ 5 is the default in unstable.

Pkg-grass-devel mailing list

Reply via email to